*** pcl-cvs-parse.el.orig	Thu Mar  3 16:12:43 2005
--- pcl-cvs-parse.el	Mon Mar  7 15:31:09 2005
***************
*** 441,454 ****
  			  :base-rev base-rev
  			  :head-rev head-rev))))
  
  (defun cvs-parse-commit ()
!   (let (path base-rev subtype)
!     (log-message "CVS" (concat "root: " cvs-cvsroot))
      (cvs-or
  
       (and
!       (cvs-match "\\(Checking in\\|Removing\\) \\(.*\\);$" (path 2))
!       (cvs-match ".*,v  <--  .*$")
        (cvs-or
         ;; deletion
         (cvs-match "new revision: delete; previous revision: \\([0-9.]*\\)$"
--- 441,468 ----
  			  :base-rev base-rev
  			  :head-rev head-rev))))
  
+ (defun cvs-get-local-commit-root ()
+   "Return the current repository-local commit root. 
+ That is, the cvsroot as seen on the cvs server (if remote), without hostname if any but with the module name appended"
+   (let ((root (cvs-get-cvsroot))
+         (module (cvs-get-module)))
+     (if (and root module)
+       (if (string-match "\\`.*:\\([^:]+\\)\\'" root)
+           (concat (match-string 1 root) "/" module)
+         (concat root "/" module)))))
+ 
  (defun cvs-parse-commit ()
!   (let ((root (cvs-get-local-commit-root))
!         path base-rev subtype)
!     ;;(log-message "CVS" (concat "root: " root))
      (cvs-or
  
       (and
!       ;; eat obsolete "Checking in" comment - lost in OpenCVS version 1.12.9
!       (cvs-or (cvs-match "\\(Checking in\\|Removing\\) \\(.*\\);$") t)
!       ;; Instead, match on repository-local commit-root prefix
!       (cvs-match (concat (regexp-quote root) "/" "\\(.*\\),v  <--  .*$")
!                  (path 1))
        (cvs-or
         ;; deletion
         (cvs-match "new revision: delete; previous revision: \\([0-9.]*\\)$"
***************
*** 459,465 ****
         ;; update
         (cvs-match "new revision: \\([0-9.]*\\); previous revision: .*$"
  		  (subtype 'COMMITTED) (base-rev 1)))
!       (cvs-match "done$")
        ;; it's important here not to rely on the default directory management
        ;; because `cvs commit' might begin by a series of Examining messages
        ;; so the processing of the actual checkin messages might begin with
--- 473,480 ----
         ;; update
         (cvs-match "new revision: \\([0-9.]*\\); previous revision: .*$"
  		  (subtype 'COMMITTED) (base-rev 1)))
!       ;; eat obsolete "done" comment - lost in OpenCVS version 1.12.9
!       (cvs-or (cvs-match "done$") t)
        ;; it's important here not to rely on the default directory management
        ;; because `cvs commit' might begin by a series of Examining messages
        ;; so the processing of the actual checkin messages might begin with
